Subject: Re: [PATCH 1/2 (v2)] submodule: no [--merge|--rebase] when newly cloned

From: Jens Lehmann <[email-masked]>
Date: Thu, 17 Feb 2011 20:41:58 +0100

Am 17.02.2011 17:18, schrieb Spencer E. Olson:
> Previously, when a new submodule is cloned by running "git submodule update
> [--merge|--rebase]", the newly cloned submodule does not get checked out and a
> rebase or merge is incorrectly attempted against an empty working directory.
> This patch ignores --rebase or --merge for new submodules and instead simply
> checks out the appropriate revision.

Nice work, thanks!

Just a small thing: This problem also happens when the configuration
"submodule.<name>.update" is set to either "rebase" or "merge", not only
when using the command line options. So perhaps you could reword the topic
to something like "submodule: don't merge or rebase when newly cloned" and
adjust both commit messages a bit?

Apart from that:
Acked-by: Jens Lehmann <[email-masked]>